# Generated by Django 4.2.8 on 2023-12-14 17:52

import core.models.bid
from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import modelcluster.fields
import wagtail.contrib.routable_page.models
import wagtail.fields
import wagtail.search.index


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('wagtailimages', '0025_alter_image_file_alter_rendition_file'),
        ('wagtailcore', '0089_log_entry_data_json_null_to_object'),
    ]

    operations = [
        migrations.CreateModel(
            name='Bid',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('number', models.CharField(help_text='not including revision, e.g. "23-100"', max_length=16, unique=True, validators=[django.core.validators.RegexValidator(' ', 'No spaces allowed', code='invalid_bid_number', inverse_match=True)])),
                ('name', models.CharField(max_length=255)),
                ('city', models.CharField(blank=True, max_length=255, null=True)),
                ('province', models.CharField(blank=True, choices=[('AL', 'Alabama'), ('AK', 'Alaska'), ('AZ', 'Arizona'), ('AR', 'Arkansas'), ('CA', 'California'), ('CO', 'Colorado'), ('CT', 'Connecticut'), ('DE', 'Delaware'), ('FL', 'Florida'), ('GA', 'Georgia'), ('HI', 'Hawaii'), ('ID', 'Idaho'), ('IL', 'Illinois'), ('IN', 'Indiana'), ('IA', 'Iowa'), ('KS', 'Kansas'), ('KY', 'Kentucky'), ('LA', 'Louisiana'), ('MA', 'Massachusetts'), ('MD', 'Maryland'), ('ME', 'Maine'), ('MI', 'Michigan'), ('MN', 'Minnesota'), ('MS', 'Mississippi'), ('MO', 'Missouri'), ('MT', 'Montana'), ('NE', 'Nebraska'), ('NV', 'Nevada'), ('NH', 'New Hampshire'), ('NJ', 'New Jersey'), ('NM', 'New Mexico'), ('NY', 'New York'), ('NC', 'North Carolina'), ('ND', 'North Dakota'), ('OH', 'Ohio'), ('OK', 'Oklahoma'), ('OR', 'Oregon'), ('PA', 'Pennsylvania'), ('RI', 'Rhode Island'), ('SC', 'South Carolina'), ('SD', 'South Dakota'), ('TN', 'Tennessee'), ('TX', 'Texas'), ('UT', 'Utah'), ('VT', 'Vermont'), ('VA', 'Virginia'), ('WA', 'Washington'), ('WV', 'West Virginia'), ('WI', 'Wisconsin'), ('WY', 'Wyoming')], max_length=255, null=True, verbose_name='state')),
                ('installed', models.BooleanField(default=False)),
            ],
            options={
                'abstract': False,
            },
            bases=(core.models.bid.ScopeSummaryMixin, wagtail.search.index.Indexed, models.Model),
        ),
        migrations.CreateModel(
            name='BidRevision',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('number', models.IntegerField()),
                ('date', models.DateField(default=django.utils.timezone.now)),
                ('bid', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='revisions', to='core.bid')),
            ],
            options={
                'ordering': ['-number'],
            },
            bases=(core.models.bid.ScopeSummaryMixin, models.Model),
        ),
        migrations.CreateModel(
            name='BuildingCode',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('name', models.CharField(max_length=255)),
                ('notes', wagtail.fields.RichTextField()),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Company',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255, unique=True)),
            ],
            options={
                'verbose_name_plural': 'companies',
                'ordering': ['name'],
            },
            bases=(wagtail.search.index.Indexed, models.Model),
        ),
        migrations.CreateModel(
            name='Finish',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('galv_base_price', models.DecimalField(blank=True, decimal_places=2, help_text='per pound', max_digits=16, null=True, verbose_name='base price (stairs/landings)')),
                ('galv_base_price_rail', models.DecimalField(blank=True, decimal_places=2, help_text='per pound', max_digits=16, null=True, verbose_name='base price (rails)')),
                ('galv_base_price_column', models.DecimalField(blank=True, decimal_places=2, help_text='per pound', max_digits=16, null=True, verbose_name='base price (columns)')),
                ('galv_pounds_riser', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True, verbose_name='pounds per riser-foot')),
                ('galv_pounds_sqft', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True, verbose_name='pounds per landing sqft')),
                ('galv_pounds_sr', models.DecimalField(blank=True, decimal_places=2, help_text='stair rail and guard rail', max_digits=16, null=True, verbose_name='pounds per linear foot')),
                ('galv_pounds_wr', models.DecimalField(blank=True, decimal_places=2, help_text='wall rail', max_digits=16, null=True, verbose_name='pounds per linear foot')),
                ('galv_pounds_column', models.DecimalField(blank=True, decimal_places=2, help_text='columns', max_digits=16, null=True, verbose_name='pounds per linear foot')),
                ('price_riser', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True, verbose_name='price per riser')),
                ('price_sqft', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True, verbose_name='price per landing sqft')),
                ('price_ex_sr', models.DecimalField(blank=True, decimal_places=2, help_text='per linear foot', max_digits=16, null=True, verbose_name='extra stair rail price')),
                ('price_ex_wr', models.DecimalField(blank=True, decimal_places=2, help_text='per linear foot', max_digits=16, null=True, verbose_name='extra wall rail price')),
            ],
            options={
                'verbose_name_plural': 'finishes',
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
            ],
            options={
                'abstract': False,
            },
            bases=('wagtailcore.page',),
        ),
        migrations.CreateModel(
            name='LandingPostType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('description', models.CharField(max_length=255)),
                ('weight', models.DecimalField(decimal_places=1, help_text='pounds per foot', max_digits=6)),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='LandingTreadStyle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('description', wagtail.fields.RichTextField(blank=True, null=True)),
                ('base_price', models.DecimalField(blank=True, decimal_places=2, help_text='per square foot', max_digits=16, null=True)),
                ('floor_price_adj', models.DecimalField(blank=True, decimal_places=2, help_text='relative to mid-level landings, per square foot', max_digits=16, null=True, verbose_name='floor-level adjustment')),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Location',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('street', models.CharField(blank=True, max_length=255, null=True)),
                ('city', models.CharField(blank=True, max_length=255, null=True)),
                ('province', models.CharField(choices=[('AL', 'Alabama'), ('AK', 'Alaska'), ('AZ', 'Arizona'), ('AR', 'Arkansas'), ('CA', 'California'), ('CO', 'Colorado'), ('CT', 'Connecticut'), ('DE', 'Delaware'), ('FL', 'Florida'), ('GA', 'Georgia'), ('HI', 'Hawaii'), ('ID', 'Idaho'), ('IL', 'Illinois'), ('IN', 'Indiana'), ('IA', 'Iowa'), ('KS', 'Kansas'), ('KY', 'Kentucky'), ('LA', 'Louisiana'), ('MA', 'Massachusetts'), ('MD', 'Maryland'), ('ME', 'Maine'), ('MI', 'Michigan'), ('MN', 'Minnesota'), ('MS', 'Mississippi'), ('MO', 'Missouri'), ('MT', 'Montana'), ('NE', 'Nebraska'), ('NV', 'Nevada'), ('NH', 'New Hampshire'), ('NJ', 'New Jersey'), ('NM', 'New Mexico'), ('NY', 'New York'), ('NC', 'North Carolina'), ('ND', 'North Dakota'), ('OH', 'Ohio'), ('OK', 'Oklahoma'), ('OR', 'Oregon'), ('PA', 'Pennsylvania'), ('RI', 'Rhode Island'), ('SC', 'South Carolina'), ('SD', 'South Dakota'), ('TN', 'Tennessee'), ('TX', 'Texas'), ('UT', 'Utah'), ('VT', 'Vermont'), ('VA', 'Virginia'), ('WA', 'Washington'), ('WV', 'West Virginia'), ('WI', 'Wisconsin'), ('WY', 'Wyoming')], max_length=2, verbose_name='state')),
                ('postal_code', models.CharField(blank=True, max_length=255, null=True)),
                ('notes', models.TextField(blank=True, null=True)),
            ],
            options={
                'ordering': ['province', 'city', 'street'],
                'unique_together': {('street', 'city', 'province')},
            },
            bases=(wagtail.search.index.Indexed, models.Model),
        ),
        migrations.CreateModel(
            name='MiscProduct',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('description', wagtail.fields.RichTextField(blank=True, null=True)),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='Project',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('number', models.IntegerField(unique=True)),
                ('name', models.CharField(max_length=255)),
                ('status', models.CharField(choices=[('Awarded', 'Awarded'), ('Ongoing', 'Ongoing'), ('Complete', 'Complete'), ('On Hold', 'On Hold'), ('Canceled', 'Canceled')], max_length=255, null=True)),
                ('award_date', models.DateField(blank=True, null=True)),
                ('complete_date', models.DateField(blank=True, null=True)),
                ('bid_number', models.CharField(blank=True, max_length=255, null=True)),
                ('contract_amount', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True)),
                ('actual_amount', models.DecimalField(blank=True, decimal_places=2, max_digits=16, null=True, verbose_name='closeout amount')),
                ('client_job_number', models.CharField(blank=True, max_length=255, null=True)),
                ('client_contract_no', models.CharField(blank=True, max_length=255, null=True, verbose_name='client contract number')),
                ('building_code', models.CharField(blank=True, max_length=255, null=True)),
                ('notes', models.TextField(blank=True, null=True)),
                ('address', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.location')),
                ('architect', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='architect_projects', to='core.company')),
            ],
            options={
                'ordering': ['-number'],
            },
            bases=(wagtail.search.index.Indexed, models.Model),
        ),
        migrations.CreateModel(
            name='ProjectCategory',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
            ],
            options={
                'verbose_name_plural': 'project categories',
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='ProjectIndexPage',
            fields=[
                ('page_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='wagtailcore.page')),
            ],
            options={
                'abstract': False,
            },
            bases=(wagtail.contrib.routable_page.models.RoutablePageMixin, 'wagtailcore.page'),
        ),
        migrations.CreateModel(
            name='RailStyle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('description', wagtail.fields.RichTextField(blank=True, null=True)),
                ('base_price', models.DecimalField(blank=True, decimal_places=2, help_text='per linear foot', max_digits=16, null=True)),
                ('add_price_adj', models.DecimalField(blank=True, decimal_places=2, help_text='difference from base price for added/CIP, per linear foot', max_digits=16, null=True, verbose_name='add price adjust')),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='SlabConstruction',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('name', models.CharField(max_length=255)),
                ('install_price', models.DecimalField(blank=True, decimal_places=2, help_text='per floor', max_digits=16, null=True)),
                ('uses_embeds', models.BooleanField()),
                ('uses_hangers', models.BooleanField()),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StairTreadStyle',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
                ('description', wagtail.fields.RichTextField(blank=True, null=True)),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StringerType',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('sort_order', models.IntegerField(default=0, help_text='Lower numbers sort earlier')),
            ],
            options={
                'ordering': ['sort_order', 'name'],
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='StairPricePoint',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('width', models.IntegerField(help_text='inches')),
                ('price', models.DecimalField(decimal_places=2, help_text='per riser', max_digits=16)),
                ('stringer_type', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.stringertype')),
                ('tread_style', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='core.stairtreadstyle')),
            ],
        ),
        migrations.CreateModel(
            name='Scope',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('legacy_id', models.IntegerField(blank=True, null=True)),
                ('name', models.CharField(help_text='e.g. "Stair 1" or "Machine Room Stair"', max_length=255)),
                ('alt_name', models.CharField(blank=True, help_text='Stair name in client documents, if different', max_length=255, null=True)),
                ('grid', models.CharField(blank=True, max_length=16, null=True)),
                ('levels', models.CharField(blank=True, max_length=64, null=True)),
                ('notes', models.TextField(blank=True, null=True)),
                ('flight_count', models.IntegerField(default=0)),
                ('mid_landing_count', models.IntegerField(default=0)),
                ('floor_landing_count', models.IntegerField(default=0)),
                ('finishes', modelcluster.fields.ParentalManyToManyField(blank=True, to='core.finish')),
                ('land_styles', modelcluster.fields.ParentalManyToManyField(blank=True, to='core.landingtreadstyle', verbose_name='landing tread styles')),
                ('misc_prods', modelcluster.fields.ParentalManyToManyField(blank=True, to='core.miscproduct', verbose_name='misc products')),
                ('project', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='scopes', to='core.project')),
                ('rail_styles', modelcluster.fields.ParentalManyToManyField(blank=True, to='core.railstyle', verbose_name='rail styles')),
                ('stair_styles', modelcluster.fields.ParentalManyToManyField(blank=True, to='core.stairtreadstyle', verbose_name='stair tread styles')),
            ],
            options={
                'ordering': ['project__number', 'sort_order', 'name'],
            },
            bases=(wagtail.search.index.Indexed, models.Model),
        ),
        migrations.CreateModel(
            name='SalesRep',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=255)),
                ('user', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='RevScope',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('name', models.CharField(max_length=255)),
                ('dwg_ref', models.CharField(blank=True, max_length=255, null=True, verbose_name='drawing reference')),
                ('grid', models.CharField(blank=True, max_length=16, null=True)),
                ('takeoff', models.JSONField(null=True)),
                ('revision', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='scopes', to='core.bidrevision')),
                ('slab_construction', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.slabconstruction')),
            ],
            options={
                'abstract': False,
            },
            bases=(core.models.bid.BidRevChildMixin, models.Model),
        ),
        migrations.CreateModel(
            name='RevDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('file', models.FileField(upload_to=core.models.bid._get_bid_upload_path)),
                ('title', models.CharField(max_length=255)),
                ('issue_date', models.DateField()),
                ('received_date', models.DateField(default=django.utils.timezone.now)),
                ('type', models.CharField(choices=[('drawing', 'Drawing'), ('addendum', 'Addendum'), ('specs', 'Specs'), ('other', 'Other')], max_length=32, verbose_name='type')),
                ('revision', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='core.bidrevision')),
            ],
            options={
                'verbose_name': 'bid document',
                'abstract': False,
            },
            bases=(core.models.bid.BidRevChildMixin, models.Model),
        ),
        migrations.AddField(
            model_name='project',
            name='categories',
            field=models.ManyToManyField(to='core.projectcategory'),
        ),
        migrations.AddField(
            model_name='project',
            name='client',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='client_projects', to='core.company'),
        ),
        migrations.AddField(
            model_name='project',
            name='engineer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='engineer_projects', to='core.company', verbose_name='engineer of record'),
        ),
        migrations.AddField(
            model_name='project',
            name='general_contractor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contractor_projects', to='core.company'),
        ),
        migrations.AddField(
            model_name='project',
            name='lender',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='lender_projects', to='core.company'),
        ),
        migrations.AddField(
            model_name='project',
            name='mail_address',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='mail_address', to='core.location'),
        ),
        migrations.AddField(
            model_name='project',
            name='owner',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='owner_projects', to='core.company'),
        ),
        migrations.AddField(
            model_name='project',
            name='project_manager',
            field=models.ForeignKey(blank=True, limit_choices_to={'groups__name__in': ['staff project manager']}, null=True, on_delete=django.db.models.deletion.SET_NULL, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='project',
            name='ship_address',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='ship_address', to='core.location'),
        ),
        migrations.AddField(
            model_name='landingtreadstyle',
            name='stair_style',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, to='core.stairtreadstyle', verbose_name='corresponding stair tread style'),
        ),
        migrations.CreateModel(
            name='LandingPageImage',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('caption', models.CharField(max_length=255)),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.image')),
                ('owner', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='carousel_images', to='core.landingpage')),
            ],
        ),
        migrations.CreateModel(
            name='LandingPageFeature',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('caption', models.CharField(max_length=255)),
                ('image', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailimages.image')),
                ('owner', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='featured_pages', to='core.landingpage')),
                ('page', models.ForeignKey(null=True, on_delete=django.db.models.deletion.SET_NULL, to='wagtailcore.page')),
            ],
        ),
        migrations.CreateModel(
            name='BidScope',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('name', models.CharField(max_length=255)),
                ('dwg_ref', models.CharField(blank=True, max_length=255, null=True, verbose_name='drawing reference')),
                ('grid', models.CharField(blank=True, max_length=16, null=True)),
                ('takeoff', models.JSONField(null=True)),
                ('bid', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='scopes', to='core.bid')),
                ('slab_construction', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.slabconstruction')),
            ],
            options={
                'abstract': False,
            },
            bases=(core.models.bid.BidRevChildMixin, models.Model),
        ),
        migrations.CreateModel(
            name='BidDocument',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('sort_order', models.IntegerField(blank=True, editable=False, null=True)),
                ('file', models.FileField(upload_to=core.models.bid._get_bid_upload_path)),
                ('title', models.CharField(max_length=255)),
                ('issue_date', models.DateField()),
                ('received_date', models.DateField(default=django.utils.timezone.now)),
                ('type', models.CharField(choices=[('drawing', 'Drawing'), ('addendum', 'Addendum'), ('specs', 'Specs'), ('other', 'Other')], max_length=32, verbose_name='type')),
                ('bid', modelcluster.fields.ParentalKey(on_delete=django.db.models.deletion.CASCADE, related_name='documents', to='core.bid')),
            ],
            options={
                'verbose_name': 'bid document',
                'abstract': False,
            },
            bases=(core.models.bid.BidRevChildMixin, models.Model),
        ),
        migrations.AddField(
            model_name='bid',
            name='architect',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='architect_bids', to='core.company'),
        ),
        migrations.AddField(
            model_name='bid',
            name='client',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='client_bids', to='core.company'),
        ),
        migrations.AddField(
            model_name='bid',
            name='contractor',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='contractor_bids', to='core.company'),
        ),
        migrations.AddField(
            model_name='bid',
            name='engineer',
            field=models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.SET_NULL, related_name='engineer_bids', to='core.company'),
        ),
        migrations.AddField(
            model_name='bid',
            name='estimator',
            field=models.ForeignKey(limit_choices_to={'groups__name__in': ['staff estimator']}, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL),
        ),
        migrations.AddField(
            model_name='bid',
            name='sales_rep',
            field=models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='core.salesrep'),
        ),
    ]
