from django.db import models
from wagtail.search import index


class Company(index.Indexed, models.Model):
    name = models.CharField(max_length=255, unique=True)

    def __str__(self):
        return self.name

    class Meta:
        verbose_name_plural = 'companies'
        ordering = ['name']

    search_fields = [
        index.SearchField('name'),
        index.AutocompleteField('name'),
    ]
