import os
from django.db import models
from django.dispatch import receiver
from .models.bid import BaseBidDocument


@receiver(models.signals.post_delete)
def delete_file(sender, instance, **kwargs):
    if isinstance(instance, BaseBidDocument) and \
       instance.file and \
       os.path.isfile(instance.file.path) and \
       BaseBidDocument.count_file_uses(instance.file) == 0:
        os.remove(instance.file.path)


